Page 11 of 17 FirstFirst ... 910111213 ... LastLast
Results 101 to 110 of 166

Thread: GMA500 (Poulsbo) gma500_gfx

  1. #101
    Join Date
    Apr 2006
    Location
    Montana
    Beans
    Hidden!
    Distro
    Kubuntu Development Release

    Re: GMA500 (Poulsbo) gma500_gfx

    Quote Originally Posted by exobuzz View Post
    you say no-one but there are plenty of joggler users running the 12.04 xubuntu image. It is specifically made for the joggler hardware, but I know at least one other person who has the emgd drivers running on another device using my ppa. I have already explained how to do it on this forum, regarding apt preferences file and sources.list to pin xserver to 1.9. in http://joggler.exotica.org.uk/source...2-06-14.tar.gz you can find the sources.list and apt pinning configs.
    Not sure what joggler is, but if you have it working in Ubuntu you should update the wiki page / provide documentation so others may follow.
    There are two mistakes one can make along the road to truth...not going all the way, and not starting.
    --Prince Gautama Siddharta

    #ubuntuforums web interface

  2. #102
    Join Date
    May 2008
    Beans
    33

    Re: GMA500 (Poulsbo) gma500_gfx

    Quote Originally Posted by bodhi.zazen View Post
    Try booting with the projector plugged in.
    I tried it and i get cloned image in both displays 1024x768. It's somehow ok. But I don't see 2 displays in xrandr or any other resolution. Also on laptop screen has "wierd" image around 1024x768 region (remider from booting).

    I also tried 10.04.4
    • I was able to use GMA500 team PSB PPA, and 3D works "good" (regarding actually slow hardwer) I get 20FPS in Neverball. Metacity woks fine with composition (I had to remove compiz due to confict). EDIT: OpenGL is bad with everythig else: even OpenArena is unplayable. (but ok for World of Goo)
    • I also tried GMA500 team EMGD PPA but i couldn't see it working, even tough i modprobe emgd, glxinfo always showed software rast. EDIT: It's mismatch with Xorg server: Bug: https://answers.launchpad.net/emgd/+question/182662. So no EMGD for 10.04

    So 10.04 will be supported till 2013.4.
    Let's hope mr. Alan Cox gives some

    BTW: EMGD from gma500 team (https://launchpad.net/~gma500/+archive/emgd) suggest to use some scripts that were on dropbox, but now missing.
    Code:
    dl.dropbox.com/u/1338581/gma500/emgd-lucid.sh
    dl.dropbox.com/u/1338581/gma500/emgd-maverick.sh
    does someone have copy of them somewhere?
    Last edited by gsedej; September 29th, 2012 at 07:14 PM. Reason: added info on emgd with 10.04

  3. #103
    Join Date
    Jul 2005
    Beans
    42

    Re: GMA500 (Poulsbo) gma500_gfx

    Quote Originally Posted by bodhi.zazen View Post
    Not sure what joggler is, but if you have it working in Ubuntu you should update the wiki page / provide documentation so others may follow.
    The joggler is a internet appliance - looks like a photoframe - http://en.wikipedia.org/wiki/O2_Joggler - due to the other changes needed to get everything working on this, I couldn't be sure to write proper step by step instructions. But someone with some more usual device with poulsbo who has some experience could do the xserver downgrade as explained and write it up. It's not ideal of course as you are then running a much older xserver, and other changes may be needed depending which display manager. if using lightdm for example you need to modify it so it doesn't pass an unsupported parameter to the xserver (-background i think). I have modified lightdm packages here https://launchpad.net/~jools/+archive/joggler

    I would agree this is not a pleasant/easy process and certainly if someone doesn't specifically need emgd, using the open source driver is preferable. In our case, we want to use hardware video decoding with xbmc, so it is needed.

  4. #104
    Join Date
    May 2008
    Beans
    33

    Re: GMA500 (Poulsbo) gma500_gfx

    Quote Originally Posted by exobuzz View Post
    The joggler is a internet appliance - looks like a photoframe - http://en.wikipedia.org/wiki/O2_Joggler - due to the other changes needed to get everything working on this, I couldn't be sure to write proper step by step instructions. But someone with some more usual device with poulsbo who has some experience could do the xserver downgrade as explained and write it up. It's not ideal of course as you are then running a much older xserver, and other changes may be needed depending which display manager. if using lightdm for example you need to modify it so it doesn't pass an unsupported parameter to the xserver (-background i think). I have modified lightdm packages here https://launchpad.net/~jools/+archive/joggler

    I would agree this is not a pleasant/easy process and certainly if someone doesn't specifically need emgd, using the open source driver is preferable. In our case, we want to use hardware video decoding with xbmc, so it is needed.
    Do you have any idea why your .iso (http://joggler.exotica.org.uk/img/xu....1-ext4.img.gz) doesn't boot on my Asus Eee 1101HA (http://uk.asus.com/Eee/Eee_PC/Eee_PC...specifications). It has same CPU (Atom Z520).

    Maybe I could help porting your PPA to "standard" hardware? (I do not have much xorg compiling experience)

  5. #105
    Join Date
    Jul 2005
    Beans
    42

    Re: GMA500 (Poulsbo) gma500_gfx

    Quote Originally Posted by gsedej View Post
    It has same CPU (Atom Z520).

    Maybe I could help porting your PPA to "standard" hardware? (I do not have much xorg compiling experience)
    it is designed for the o2 joggler hardware. from the efi boot partition etc. it won't work on a machine without efi, and even then the kernel is tailored to the joggler hardware. It is designed work on joggler and openframe 2.0 devices.

    you don't need to port the "ppa". the packages there will be fine on your machine. but I probably can't help with complete xorg config for your machine. if you know how to configure emgd in xorg.conf for your hardware, and are confident with apt it's possible.

  6. #106
    Join Date
    Jul 2009
    Beans
    75

    Re: GMA500 (Poulsbo) gma500_gfx

    Hello,

    when I play a video with mplayer and switch to fullscreen, the video is displayed in the same size and boardered with black.

    Can the gma500 scale Videos anyway? Well more exactly: Can the driver scale the videos? I'm using mplayer-vaapi.

    Bye
    MPW

  7. #107
    Join Date
    May 2008
    Beans
    33

    Re: GMA500 (Poulsbo) gma500_gfx

    Quote Originally Posted by mpw View Post
    Hello,

    when I play a video with mplayer and switch to fullscreen, the video is displayed in the same size and boardered with black.

    Can the gma500 scale Videos anyway? Well more exactly: Can the driver scale the videos? I'm using mplayer-vaapi.

    Bye
    MPW
    What version of Ubuntu and which driver (and version) do you use?
    The current supported is gma500_gfx an open source driver, which works for desktop, but no accelerated 3D or composition (Compiz). It also does not have accelerated video en/decoder.

    The EMGD or PSB drivers are unsupported in current Ubuntus

  8. #108
    Join Date
    Mar 2008
    Beans
    13

    Re: GMA500 (Poulsbo) gma500_gfx

    Quote Originally Posted by mpw View Post
    Can the gma500 scale Videos anyway? Well more exactly: Can the driver scale the videos? I'm using mplayer-vaapi.
    Hi,

    I am using mplayer and was having the same problem. I fixed it as explained here.

    Basically, I added
    zoom="1"
    to the ~/.mplayer/config file.

    It works quiet well for me.

    Cheers,

    blugeco

  9. #109
    Join Date
    May 2011
    Location
    Sweden
    Beans
    33
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: GMA500 (Poulsbo) gma500_gfx

    I read that Unity 2d has been scrapped in 12.10, leaving the CPU with the task of helping with rendering things the GPU cannot handle? If this is correct, I guess upgrading will not be very suitable for those of us who only have 1GB of RAM?

    A

  10. #110
    Join Date
    Apr 2006
    Location
    Montana
    Beans
    Hidden!
    Distro
    Kubuntu Development Release

    Re: GMA500 (Poulsbo) gma500_gfx

    Quote Originally Posted by Anaesthisia View Post
    I read that Unity 2d has been scrapped in 12.10, leaving the CPU with the task of helping with rendering things the GPU cannot handle? If this is correct, I guess upgrading will not be very suitable for those of us who only have 1GB of RAM?

    A
    I am guessing you are referring to llvmpipe ?

    And yes, llvmpipe is slow.

    I highly advise you switch to K/X/Lubuntu
    There are two mistakes one can make along the road to truth...not going all the way, and not starting.
    --Prince Gautama Siddharta

    #ubuntuforums web interface

Page 11 of 17 FirstFirst ... 910111213 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •